import java.sql.*;
public class SQLServerToAccess {
	
	static final String FORNAME="sun.jdbc.odbc.JdbcOdbcDriver";
	static String DriverInput;
	static String DriverOutput;
	
	public static void main(String[] args) throws ClassNotFoundException{
		try{
			Class.forName(FORNAME);
			DriverInput="jdbc:odbc:"+args[0];	//driver del database sql
			DriverOutput="jdbc:odbc:"+args[1];	//driver del database access
			
			Connection conIn=DriverManager.getConnection(DriverInput);
			Connection conOut=DriverManager.getConnection(DriverOutput);
						
			Statement stIn=conIn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE,ResultSet.CONCUR_READ_ONLY);
			ResultSet rs=stIn.executeQuery("select * from Utenti");//il resultset dev'essere scrollabile a causa di un problema
			
			rs.first();
			do{
				String nomeUtente=rs.getString(1);
				String cognomeUtente=rs.getString(2);
				int codiceUtente=rs.getInt(3);
				
				Statement stOut=conOut.createStatement();
				stOut.execute("INSERT INTO Utenti VALUES('"+nomeUtente+"','"+cognomeUtente+"',"+codiceUtente+")");
			}
			while(rs.next());
			
			rs.last();	//questa e le righe a seguire servono ad ovviare ad un problema di inserimento dell'ultimo valore
			Statement first=conOut.createStatement();	//inserito nel DB di partenza
			first.execute("insert into Utenti values('"+rs.getString(1)+"','"+rs.getString(2)+"',"+rs.getInt(3)+")");
			
			System.out.println("Copia Terminata!");
			System.exit(0);
		}catch(SQLException e){
			System.out.println("SQL Exception!");
			System.exit(1);
		}
	}
}
